Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityBands_var Class Reference

`#include <RTCORBAC.h>`

List of all members.

## Public Methods
| PriorityBands_var (void)
| PriorityBands_var (PriorityBands *)
| PriorityBands_var (const PriorityBands_var &)
| PriorityBands_var (const PriorityBands &)
| ~PriorityBands_var (void)
PriorityBands_var & | operator= (PriorityBands *)
PriorityBands_var & | operator= (const PriorityBands_var &)
PriorityBands_var & | operator= (const PriorityBands &)
PriorityBands * | operator-> (void)
const PriorityBands * | operator-> (void) const
| operator const PriorityBands & () const
| operator PriorityBands & ()
| operator PriorityBands & () const
PriorityBand & | operator[] (CORBA::ULong index)
const PriorityBand & | operator[] (CORBA::ULong index) const
const PriorityBands & | in (void) const
PriorityBands & | inout (void)
PriorityBands *& | out (void)
PriorityBands * | _retn (void)
PriorityBands * | ptr (void) const
## Private Attributes
PriorityBands * | ptr_

## Constructor & Destructor Documentation

RTCORBA::PriorityBands_var::PriorityBands_var | ( | void |  | ) |

RTCORBA::PriorityBands_var::PriorityBands_var | ( | PriorityBands * |  | ) |

RTCORBA::PriorityBands_var::PriorityBands_var | ( | const PriorityBands_var & |  | ) |

RTCORBA::PriorityBands_var::PriorityBands_var | ( | const PriorityBands & |  | ) |

RTCORBA::PriorityBands_var::~PriorityBands_var | ( | void |  | ) |

## Member Function Documentation

PriorityBands* RTCORBA::PriorityBands_var::_retn | ( | void |  | ) |

const PriorityBands& RTCORBA::PriorityBands_var::in | ( | void |  | ) | const

PriorityBands& RTCORBA::PriorityBands_var::inout | ( | void |  | ) |

RTCORBA::PriorityBands_var::operator const PriorityBands & | ( |  | ) | const

RTCORBA::PriorityBands_var::operator PriorityBands & | ( |  | ) | const

RTCORBA::PriorityBands_var::operator PriorityBands & | ( |  | ) |

const PriorityBands* RTCORBA::PriorityBands_var::operator-> | ( | void |  | ) | const

PriorityBands* RTCORBA::PriorityBands_var::operator-> | ( | void |  | ) |

PriorityBands_var& RTCORBA::PriorityBands_var::operator= | ( | const PriorityBands & |  | ) |

PriorityBands_var& RTCORBA::PriorityBands_var::operator= | ( | const PriorityBands_var & |  | ) |

PriorityBands_var& RTCORBA::PriorityBands_var::operator= | ( | PriorityBands * |  | ) |

const PriorityBand& RTCORBA::PriorityBands_var::operator[] | ( | CORBA::ULong | index | ) | const

PriorityBand& RTCORBA::PriorityBands_var::operator[] | ( | CORBA::ULong | index | ) |

PriorityBands*& RTCORBA::PriorityBands_var::out | ( | void |  | ) |

PriorityBands* RTCORBA::PriorityBands_var::ptr | ( | void |  | ) | const

## Member Data Documentation

PriorityBands* RTCORBA::PriorityBands_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h